# useRawMsg

Controls whether parsing operates on the raw message or only the MSG part.

This parameter applies to JSON Structured Content Extraction Module (mmjsonparse).

Name:

  useRawMsg

Scope:

  input

Type:

  boolean

Default:

  off

Required?:

  no

Introduced:

  6.6.0

## Description

Specifies if the raw message should be used for parsing (`on`) or just the MSG part of the message (`off`).

## Notes

- Older documentation referred to this boolean setting as `binary`.

## Input usage

    action(type="mmjsonparse" useRawMsg="on")

## See also

See also the main mmjsonparse module documentation.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.